felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davanum Srinivas (JIRA)" <j...@apache.org>
Subject [jira] Commented: (FELIX-1904) Update framework.security to 4.2.0 of org.osgi.core
Date Sun, 29 Nov 2009 17:40:20 GMT

    [ https://issues.apache.org/jira/browse/FELIX-1904?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12783437#action_12783437
] 

Davanum Srinivas commented on FELIX-1904:
-----------------------------------------

Thanks a ton Karl!

One more thing i noticed when I was looking at the spec was that the encoded string used in
: 
newConditionalPermissionInfo(String)

is as follows:
policy ::= access '{' conditions permissions'}' name?
access ::= 'ALLOW' | 'DENY' // case insensitive
name ::= quoted-string

So we have to update the implementation we have in the following method:
public ConditionalPermissionInfoImpl(String encoded)

thanks,
dims

> Update framework.security to 4.2.0 of org.osgi.core
> ---------------------------------------------------
>
>                 Key: FELIX-1904
>                 URL: https://issues.apache.org/jira/browse/FELIX-1904
>             Project: Felix
>          Issue Type: Improvement
>          Components: Permission Admin
>            Reporter: Davanum Srinivas
>            Assignee: Karl Pauls
>
> Currently, framework.security's pom.xml uses osgi core 4.1.0. While org.apache.felix.framework
(version 2.1.0-SNAPSHOT, 2.0.1 and 2.0.2 etc) uses 4.2.0. Can you please update the dependency
to 4.2.0?
> [dims@dims-desktop framework.security]$ pwd
> /home/dims/apache/felix/framework.security
> [dims@dims-desktop framework.security]$svn diff pom.xml 
> Index: pom.xml
> ===================================================================
> --- pom.xml	(revision 884284)
> +++ pom.xml	(working copy)
> @@ -34,7 +34,7 @@
>       <dependency>
>        <groupId>org.osgi</groupId>
>        <artifactId>org.osgi.core</artifactId>
> -      <version>4.1.0</version>
> +      <version>4.2.0</version>
>      </dependency>
>      <dependency>
>        <groupId>${pom.groupId}</groupId>
> In the 4.2.0 version there are newer methods in ConditionalPermissionAdmin / ConditionalPermissionInfo
interfaces that need to be implemented.
> thanks,
> dims

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message